0
Résultats de validation

Unicon

Unicon

WordPress 4.9.6 theme
0
Alertes critiques
  1. Customizer : Sanitization des Customizer settings Un setting Customizer a été trouvé sans callback de sanitization dans le fichier extension_customizer.php. Tous les appels à la méthode add_setting() doivent déclarer une fonction de filtrage.
  2. Title : Title Absence de référence à add_theme_support( "title-tag" ) dans le thème.Le thème doit avoir des tags <title>, idéalement dans le fichier header.php.Le thème doit comporter un appel à wp_title(), idéalement dans le fichier header.php.
  3. Failles de sécurité : Utilisation de base64_decode() base64_decode trouvé dans le fichier shortcodes.php.
    Line 627: $getScheme = 'styles: '.rawurldecode(base64_decode($attr['colorscheme'])).','; // ignore theme check
  4. Code malveillant : Opérations sur système de fichiers fopen trouvé dans le fichier class.redux_helpers.php.
    Line 657: //$fp = fopen( $file, 'r' );
    fread trouvé dans le fichier class.redux_helpers.php.
    Line 660: //$file_data = fread( $fp, 8192 );
    fclose trouvé dans le fichier class.redux_helpers.php.
    Line 663: //fclose( $fp );
    file_get_contents trouvé dans le fichier parsers.php.
    Line 66: $success = $dom->loadXML( file_get_contents( $file ) ); // ignore theme check
    Line 269: if ( ! xml_parse( $xml, file_get_contents( $file ), true ) ) { // ignore theme check
    file_get_contents trouvé dans le fichier parsers.php.
    Line 66: $success = $dom->loadXML( file_get_contents( $file ) ); // ignore theme check
    Line 269: if ( ! xml_parse( $xml, file_get_contents( $file ), true ) ) { // ignore theme check
    fopen trouvé dans le fichier parsers.php.
    Line 415: $fp = $this->fopen( $file, 'r' ); // ignore theme check
    Line 641: function fopen( $filename, $mode = 'r' ) { // ignore theme check
    Line 644: return fopen( $filename, $mode ); // ignore theme check
    fclose trouvé dans le fichier parsers.php.
    Line 464: $this->fclose($fp); // ignore theme check
    Line 659: function fclose( $fp ) { // ignore theme check
    Line 662: return fclose( $fp ); // ignore theme check
    fopen trouvé dans le fichier parsers.php.
    Line 415: $fp = $this->fopen( $file, 'r' ); // ignore theme check
    Line 641: function fopen( $filename, $mode = 'r' ) { // ignore theme check
    Line 644: return fopen( $filename, $mode ); // ignore theme check
    fopen trouvé dans le fichier parsers.php.
    Line 415: $fp = $this->fopen( $file, 'r' ); // ignore theme check
    Line 641: function fopen( $filename, $mode = 'r' ) { // ignore theme check
    Line 644: return fopen( $filename, $mode ); // ignore theme check
    fclose trouvé dans le fichier parsers.php.
    Line 464: $this->fclose($fp); // ignore theme check
    Line 659: function fclose( $fp ) { // ignore theme check
    Line 662: return fclose( $fp ); // ignore theme check
    fclose trouvé dans le fichier parsers.php.
    Line 464: $this->fclose($fp); // ignore theme check
    Line 659: function fclose( $fp ) { // ignore theme check
    Line 662: return fclose( $fp ); // ignore theme check
    file_get_contents trouvé dans le fichier import.php.
    Line 230: $file_contents = file_get_contents( $file ); // ignore theme check
  5. Menu Admin : Les thèmes doivent utiliser add_theme_page () pour ajouter des pages admin. Fichier framework.php :
    Line 1344: // wrappers and need to be appened to using add_submenu_page.
    Line 1395: $this->page = call_user_func( 'add_submenu_page', $page_parent, $page_title, $menu_title, $page_permission
    Line 1453: call_user_func( 'add_submenu_page', $this->args['page_slug'], $section['title'], $section['t
    Fichier framework.php :
    Line 1344: // wrappers and need to be appened to using add_submenu_page.
    Line 1395: $this->page = call_user_func( 'add_submenu_page', $page_parent, $page_title, $menu_title, $page_permission
    Line 1453: call_user_func( 'add_submenu_page', $this->args['page_slug'], $section['title'], $section['t
    Fichier framework.php :
    Line 1421: $this->page = call_user_func( 'add_menu_page', $this->args['page_title'], $this->args['menu_title'], $this
    Fichier framework.php :
    Line 1344: // wrappers and need to be appened to using add_submenu_page.
    Line 1395: $this->page = call_user_func( 'add_submenu_page', $page_parent, $page_title, $menu_title, $page_permission
    Line 1453: call_user_func( 'add_submenu_page', $this->args['page_slug'], $section['title'], $section['t
    Fichier welcome.php :
    Line 197: $page = 'add_management_page';
  6. Fonctions obsolètes : wp_get_http wp_get_http trouvé dans le fichier wordpress-importer.php . Obsolète depuis la version de la 4.4. Il est prérable d'utiliser WP_Http à la place.
    Line 905: $headers = wp_get_http( $url, $upload['file'] );
  7. Inclusion de plugin : Présence de fichier zip Les plugins ne sont pas autorisés dans les thèmes. Le fichier zip fullscreen.zip slideronly.zip portfolio.zip small.zip default.zip shop.zip modernshop.zip videoslide.zip home.zip somethingbig.zip unicon_portfolio_cpt.zip revslider.zip js_composer.zip a été trouvé.
Attention
  1. Script de core désabonné : Désabonnement d'un script de coreAppel à wp_deregister_script dans framework.php. Les thèmes ne doivent appeler wp_deregister_script sur des scripts du core.
    Line 562: wp_deregister_script( 'wpb_ace' );
    Appel à wp_deregister_script dans enqueue.php. Les thèmes ne doivent appeler wp_deregister_script sur des scripts du core.
    Line 215: wp_deregister_script( 'jquerySelect2' );
    Appel à wp_deregister_script dans enqueue.php. Les thèmes ne doivent appeler wp_deregister_script sur des scripts du core.
    Line 42: wp_deregister_script( 'prettyPhoto' );
  2. tags du thème : Présence de tags inconnusLe tag fluid-layout est obsolète, il ne doit pas figurer dans le header de style.css.
  3. Text domain : Utilisation incorrecte des fonctions de traduction.Utilisation d'une fonction de traduction avec un nombre incorrect d'arguments. Fonction __, avec les arguments "Set Box Padding - toppadding rightpadding bottompadding leftpadding", minti-framework, 'minti-framework' dans le fichier vctweaks_alternative.php.Utilisation d'une fonction de traduction avec un nombre incorrect d'arguments. Fonction __, avec les arguments "If you want to give the box a minimum fixed height insert your value here (ie: 400px)", minti-framework, 'minti-framework' dans le fichier vctweaks_alternative.php.Utilisation d'une fonction de traduction avec un nombre incorrect d'arguments. Fonction __, avec les arguments "Set Divider Margin - topmargin rightmargin bottommargin leftmargin", minti-framework, 'minti-framework' dans le fichier vctweaks_alternative.php.Utilisation d'une fonction de traduction avec un nombre incorrect d'arguments. Fonction __, avec les arguments "Set Box Padding - toppadding rightpadding bottompadding leftpadding", minti-framework, 'minti-framework' dans le fichier vctweaks.php.Utilisation d'une fonction de traduction avec un nombre incorrect d'arguments. Fonction __, avec les arguments "If you want to give the box a minimum fixed height insert your value here (ie: 400px)", minti-framework, 'minti-framework' dans le fichier vctweaks.php.Utilisation d'une fonction de traduction avec un nombre incorrect d'arguments. Fonction __, avec les arguments "Set Divider Margin - topmargin rightmargin bottommargin leftmargin", minti-framework, 'minti-framework' dans le fichier vctweaks.php.Plusieurs text-domain sont utilisés dans le thème. Cela signifie que le thème n'est pas compatible avec les language packs de WordPress. Les domaines trouvés sont minti-framework, redux-framework-demo, redux-framework, themecheck, wordpress-importer, minti, meta-box, tgmpa, rwmb, js_composer.
  4. Contextes de plugin : Fonctionnalités de pluginLe thème utilise la fonction add_shortcode(). L'utilisation des custom post-content shortcodes est du domaine des plugins.
  5. Balises courtes PHP : Présence de balises PHP courtesPrésence de balises PHP courtes dans le fichier parsedown.php. "Il est conseillé de ne pas les utiliser car elles ne sont seulement disponibles lors de l'activation de la directive de configuration short_open_tag du php.ini, ou si PHP a été configuré avec l'option --enable-short-tags" (php.net), ce qui n'est pas le cas sur de nombreux serveurs.
    Line 765: if (preg_match('/^\[(.+?)\]:[ ]*<?(\S+?)>?(?:[ ]+['\'(](.+)['\')])?[ ]*$/', $Line['text'], $matches))
  6. Eléments custom : Présence d'une entête customAucune référence à custom header n'a été trouvée dans le thème.
  7. Eléments custom : Présence d'un fond customAucune référence à custom background n'a été trouvée dans le thème.
  8. Editor style : Présence de l'édition de styleAucune référence à add_editor_style() n'a été trouvée dans le thème. Il est recommandé que le thème implémente l'édition de style, de manière à faire correspondre le contenu de l'éditeur l'affichage dans le thème.
  9. Fichiers CSS : Présence de text domainLa déclaration Text Domain: manque dans le header du fichier style.css.
  10. Implémentation de la date et de l'heure : Utilisation de the_time()Au moins une date codée en dur a été trouvée dans le fichier entry-audio.php. Il est préférable d'utiliser la fonction get_option( 'date_format' )à la place.Au moins une date codée en dur a été trouvée dans le fichier entry-link.php. Il est préférable d'utiliser la fonction get_option( 'date_format' )à la place.Au moins une date codée en dur a été trouvée dans le fichier entry-video.php. Il est préférable d'utiliser la fonction get_option( 'date_format' )à la place.Au moins une date codée en dur a été trouvée dans le fichier entry-quote.php. Il est préférable d'utiliser la fonction get_option( 'date_format' )à la place.Au moins une date codée en dur a été trouvée dans le fichier entry-gallery.php. Il est préférable d'utiliser la fonction get_option( 'date_format' )à la place.Au moins une date codée en dur a été trouvée dans le fichier entry.php. Il est préférable d'utiliser la fonction get_option( 'date_format' )à la place.
  11. Screenshot : Copie d'écranLa taille du screenshot est 880x660px. La taille recommandée est 1200x900, pour prendre en compte les affichages HiDPI. Bien qu'une résolution de 1200x900 soit recommandée, toutes les images au format 4:3 sont acceptables.Mauvaise extension de fichier screenshot ! Le fichier screenshot.png n'est pas un véritable fichier JPG. Le type détecté est : "image/png".
Info
  1. Fichiers optionnels : Présence du fichierde style pour les écritures de droite vers la gauche rtl.cssCe thème ne contient pas le fichier optionnel rtl.php.
  2. Fichiers optionnels : Présence du fichier-template fron-*page.phpCe thème ne contient pas le fichier optionnel front-page.php.
  3. Fichiers optionnels : Présence du fichier-template de page d'accueil home.phpCe thème ne contient pas le fichier optionnel home.php.
  4. Fichiers optionnels : Présence du fichier-template de catégorie category.phpCe thème ne contient pas le fichier optionnel category.php.
  5. Fichiers optionnels : Présence du fichier-template des tags tag.phpCe thème ne contient pas le fichier optionnel tag.php.
  6. Fichiers optionnels : Présence du fichier-template author.phpCe thème ne contient pas le fichier optionnel author.php.
  7. Fichiers optionnels : Présence du fichier-template des pièces jointes attachment.phpCe thème ne contient pas le fichier optionnel attachment.php.
  8. Utilisation d'includes : Utilisation de include ou de de requireLe thème semble utiliser include ou require : framework.php
    Line 410: require_once 'core/dashboard.php';
    Line 414: require_once 'core/newsflash.php';
    Line 1702: require_once 'core/enqueue.php';
    Line 2853: require_once 'core/enqueue.php';
    Line 2911: require_once 'core/panel.php';
    Line 3240: require_once 'core/panel.php';
    Si ces fonctions sont utilisées pour inclure des sections séparées d'un modèle à partir de fichiers indépendants, alors get_template_part () doit être utilisé à la place.
    Le thème semble utiliser include ou require : extension_customizer.php
    Line 750: require_once( $class_file );
    Si ces fonctions sont utilisées pour inclure des sections séparées d'un modèle à partir de fichiers indépendants, alors get_template_part () doit être utilisé à la place.
    Le thème semble utiliser include ou require : welcome.php
    Line 374: require_once 'views/about.php';
    Line 389: require_once 'views/changelog.php';
    Line 404: require_once 'views/extensions.php';
    Line 420: require_once 'views/support.php';
    Line 435: require_once 'views/credits.php';
    Line 450: require_once 'views/status_report.php';
    Si ces fonctions sont utilisées pour inclure des sections séparées d'un modèle à partir de fichiers indépendants, alors get_template_part () doit être utilisé à la place.
    Le thème semble utiliser include ou require : field_button_set.php
    Line 46: *              ['format']      string Formatting options for paginate fields. Options include ('currency','nice','niceShort','timeAgoInWords' or a valid Date() f
    Si ces fonctions sont utilisées pour inclure des sections séparées d'un modèle à partir de fichiers indépendants, alors get_template_part () doit être utilisé à la place.
    Le thème semble utiliser include ou require : import.php
    Line 188: require_once(get_template_directory().'/framework/inc/demoimporter/wordpres
    Si ces fonctions sont utilisées pour inclure des sections séparées d'un modèle à partir de fichiers indépendants, alors get_template_part () doit être utilisé à la place.
    Le thème semble utiliser include ou require : get_wp.php
    Line 8: require_once( $path_to_wp . '/wp-load.php' );
    Si ces fonctions sont utilisées pour inclure des sections séparées d'un modèle à partir de fichiers indépendants, alors get_template_part () doit être utilisé à la place.
    Le thème semble utiliser include ou require : popup.php
    Line 4: require_once( 'shortcodes.class.php' );
    Si ces fonctions sont utilisées pour inclure des sections séparées d'un modèle à partir de fichiers indépendants, alors get_template_part () doit être utilisé à la place.
    Le thème semble utiliser include ou require : shortcodes.class.php
    Line 4: require_once('get_wp.php');
    Line 42: require_once( $this->conf );
    Si ces fonctions sont utilisées pour inclure des sections séparées d'un modèle à partir de fichiers indépendants, alors get_template_part () doit être utilisé à la place.
    Le thème semble utiliser include ou require : shortcodes.php
    Line 1212: if ( ! function_exists('is_plugin_active')){ include_once( ABSPATH . 'wp-admin/includes/plugin.php' ); } // load is_plug
    Si ces fonctions sont utilisées pour inclure des sections séparées d'un modèle à partir de fichiers indépendants, alors get_template_part () doit être utilisé à la place.
    Le thème semble utiliser include ou require : meta-boxes.php
    Line 10: if ( ! function_exists('is_plugin_active')){ include_once( ABSPATH . 'wp-admin/includes/plugin.php' ); } // load is_plug
    Si ces fonctions sont utilisées pour inclure des sections séparées d'un modèle à partir de fichiers indépendants, alors get_template_part () doit être utilisé à la place.
    Le thème semble utiliser include ou require : vctweaks_alternative.php
    Line 1684: if ( ! function_exists('is_plugin_active')){ include_once( ABSPATH . 'wp-admin/includes/plugin.php' ); } // load is_plug
    Si ces fonctions sont utilisées pour inclure des sections séparées d'un modèle à partir de fichiers indépendants, alors get_template_part () doit être utilisé à la place.
    Le thème semble utiliser include ou require : vctweaks.php
    Line 1612: if ( ! function_exists('is_plugin_active')){ include_once( ABSPATH . 'wp-admin/includes/plugin.php' ); } // load is_plug
    Si ces fonctions sont utilisées pour inclure des sections séparées d'un modèle à partir de fichiers indépendants, alors get_template_part () doit être utilisé à la place.

Ceci est un thème distribué surThemeForest. Etant donné que tous les thèmes de Themeforest sont validés par un humain avant d'être mis en ligne, les règles de vérification de Themeforest sont plus permissives que celles de themecheck et peuvent donner un meilleur score de vérification ( Themeforest requirements ).

12
Alertes critiques
  1. Customizer : Sanitization des Customizer settings Un setting Customizer a été trouvé sans callback de sanitization dans le fichier extension_customizer.php. Tous les appels à la méthode add_setting() doivent déclarer une fonction de filtrage.
  2. Title : Title Absence de référence à add_theme_support( "title-tag" ) dans le thème.Le thème doit avoir des tags <title>, idéalement dans le fichier header.php.Le thème doit comporter un appel à wp_title(), idéalement dans le fichier header.php.
  3. Fonctions obsolètes : wp_get_http wp_get_http trouvé dans le fichier wordpress-importer.php . Obsolète depuis la version de la 4.4. Il est prérable d'utiliser WP_Http à la place.
    Line 905: $headers = wp_get_http( $url, $upload['file'] );
  4. Inclusion de plugin : Présence de fichier zip Les plugins ne sont pas autorisés dans les thèmes. Le fichier zip fullscreen.zip slideronly.zip portfolio.zip small.zip default.zip shop.zip modernshop.zip videoslide.zip home.zip somethingbig.zip unicon_portfolio_cpt.zip revslider.zip js_composer.zip a été trouvé.
Attention
  1. Script de core désabonné : Désabonnement d'un script de coreAppel à wp_deregister_script dans framework.php. Les thèmes ne doivent appeler wp_deregister_script sur des scripts du core.
    Line 562: wp_deregister_script( 'wpb_ace' );
    Appel à wp_deregister_script dans enqueue.php. Les thèmes ne doivent appeler wp_deregister_script sur des scripts du core.
    Line 215: wp_deregister_script( 'jquerySelect2' );
    Appel à wp_deregister_script dans enqueue.php. Les thèmes ne doivent appeler wp_deregister_script sur des scripts du core.
    Line 42: wp_deregister_script( 'prettyPhoto' );
  2. tags du thème : Présence de tags inconnusLe tag fluid-layout est obsolète, il ne doit pas figurer dans le header de style.css.
  3. Text domain : Utilisation incorrecte des fonctions de traduction.Utilisation d'une fonction de traduction avec un nombre incorrect d'arguments. Fonction __, avec les arguments "Set Box Padding - toppadding rightpadding bottompadding leftpadding", minti-framework, 'minti-framework' dans le fichier vctweaks_alternative.php.Utilisation d'une fonction de traduction avec un nombre incorrect d'arguments. Fonction __, avec les arguments "If you want to give the box a minimum fixed height insert your value here (ie: 400px)", minti-framework, 'minti-framework' dans le fichier vctweaks_alternative.php.Utilisation d'une fonction de traduction avec un nombre incorrect d'arguments. Fonction __, avec les arguments "Set Divider Margin - topmargin rightmargin bottommargin leftmargin", minti-framework, 'minti-framework' dans le fichier vctweaks_alternative.php.Utilisation d'une fonction de traduction avec un nombre incorrect d'arguments. Fonction __, avec les arguments "Set Box Padding - toppadding rightpadding bottompadding leftpadding", minti-framework, 'minti-framework' dans le fichier vctweaks.php.Utilisation d'une fonction de traduction avec un nombre incorrect d'arguments. Fonction __, avec les arguments "If you want to give the box a minimum fixed height insert your value here (ie: 400px)", minti-framework, 'minti-framework' dans le fichier vctweaks.php.Utilisation d'une fonction de traduction avec un nombre incorrect d'arguments. Fonction __, avec les arguments "Set Divider Margin - topmargin rightmargin bottommargin leftmargin", minti-framework, 'minti-framework' dans le fichier vctweaks.php.Plusieurs text-domain sont utilisés dans le thème. Cela signifie que le thème n'est pas compatible avec les language packs de WordPress. Les domaines trouvés sont minti-framework, redux-framework-demo, redux-framework, themecheck, wordpress-importer, minti, meta-box, tgmpa, rwmb, js_composer.
  4. Contextes de plugin : Fonctionnalités de pluginLe thème utilise la fonction add_shortcode(). L'utilisation des custom post-content shortcodes est du domaine des plugins.
  5. Balises courtes PHP : Présence de balises PHP courtesPrésence de balises PHP courtes dans le fichier parsedown.php. "Il est conseillé de ne pas les utiliser car elles ne sont seulement disponibles lors de l'activation de la directive de configuration short_open_tag du php.ini, ou si PHP a été configuré avec l'option --enable-short-tags" (php.net), ce qui n'est pas le cas sur de nombreux serveurs.
    Line 765: if (preg_match('/^\[(.+?)\]:[ ]*<?(\S+?)>?(?:[ ]+['\'(](.+)['\')])?[ ]*$/', $Line['text'], $matches))
  6. Fichiers CSS : Présence de text domainLa déclaration Text Domain: manque dans le header du fichier style.css.
  7. Implémentation de la date et de l'heure : Utilisation de the_time()Au moins une date codée en dur a été trouvée dans le fichier entry-audio.php. Il est préférable d'utiliser la fonction get_option( 'date_format' )à la place.Au moins une date codée en dur a été trouvée dans le fichier entry-link.php. Il est préférable d'utiliser la fonction get_option( 'date_format' )à la place.Au moins une date codée en dur a été trouvée dans le fichier entry-video.php. Il est préférable d'utiliser la fonction get_option( 'date_format' )à la place.Au moins une date codée en dur a été trouvée dans le fichier entry-quote.php. Il est préférable d'utiliser la fonction get_option( 'date_format' )à la place.Au moins une date codée en dur a été trouvée dans le fichier entry-gallery.php. Il est préférable d'utiliser la fonction get_option( 'date_format' )à la place.Au moins une date codée en dur a été trouvée dans le fichier entry.php. Il est préférable d'utiliser la fonction get_option( 'date_format' )à la place.
  8. Screenshot : Copie d'écranLa taille du screenshot est 880x660px. La taille recommandée est 1200x900, pour prendre en compte les affichages HiDPI. Bien qu'une résolution de 1200x900 soit recommandée, toutes les images au format 4:3 sont acceptables.Mauvaise extension de fichier screenshot ! Le fichier screenshot.png n'est pas un véritable fichier JPG. Le type détecté est : "image/png".
Info
  1. Fichiers optionnels : Présence du fichierde style pour les écritures de droite vers la gauche rtl.cssCe thème ne contient pas le fichier optionnel rtl.php.
  2. Fichiers optionnels : Présence du fichier-template fron-*page.phpCe thème ne contient pas le fichier optionnel front-page.php.
  3. Fichiers optionnels : Présence du fichier-template de page d'accueil home.phpCe thème ne contient pas le fichier optionnel home.php.
  4. Fichiers optionnels : Présence du fichier-template de catégorie category.phpCe thème ne contient pas le fichier optionnel category.php.
  5. Fichiers optionnels : Présence du fichier-template des tags tag.phpCe thème ne contient pas le fichier optionnel tag.php.
  6. Fichiers optionnels : Présence du fichier-template author.phpCe thème ne contient pas le fichier optionnel author.php.
  7. Fichiers optionnels : Présence du fichier-template des pièces jointes attachment.phpCe thème ne contient pas le fichier optionnel attachment.php.
  8. Utilisation d'includes : Utilisation de include ou de de requireLe thème semble utiliser include ou require : framework.php
    Line 410: require_once 'core/dashboard.php';
    Line 414: require_once 'core/newsflash.php';
    Line 1702: require_once 'core/enqueue.php';
    Line 2853: require_once 'core/enqueue.php';
    Line 2911: require_once 'core/panel.php';
    Line 3240: require_once 'core/panel.php';
    Si ces fonctions sont utilisées pour inclure des sections séparées d'un modèle à partir de fichiers indépendants, alors get_template_part () doit être utilisé à la place.
    Le thème semble utiliser include ou require : extension_customizer.php
    Line 750: require_once( $class_file );
    Si ces fonctions sont utilisées pour inclure des sections séparées d'un modèle à partir de fichiers indépendants, alors get_template_part () doit être utilisé à la place.
    Le thème semble utiliser include ou require : welcome.php
    Line 374: require_once 'views/about.php';
    Line 389: require_once 'views/changelog.php';
    Line 404: require_once 'views/extensions.php';
    Line 420: require_once 'views/support.php';
    Line 435: require_once 'views/credits.php';
    Line 450: require_once 'views/status_report.php';
    Si ces fonctions sont utilisées pour inclure des sections séparées d'un modèle à partir de fichiers indépendants, alors get_template_part () doit être utilisé à la place.
    Le thème semble utiliser include ou require : field_button_set.php
    Line 46: *              ['format']      string Formatting options for paginate fields. Options include ('currency','nice','niceShort','timeAgoInWords' or a valid Date() f
    Si ces fonctions sont utilisées pour inclure des sections séparées d'un modèle à partir de fichiers indépendants, alors get_template_part () doit être utilisé à la place.
    Le thème semble utiliser include ou require : import.php
    Line 188: require_once(get_template_directory().'/framework/inc/demoimporter/wordpres
    Si ces fonctions sont utilisées pour inclure des sections séparées d'un modèle à partir de fichiers indépendants, alors get_template_part () doit être utilisé à la place.
    Le thème semble utiliser include ou require : get_wp.php
    Line 8: require_once( $path_to_wp . '/wp-load.php' );
    Si ces fonctions sont utilisées pour inclure des sections séparées d'un modèle à partir de fichiers indépendants, alors get_template_part () doit être utilisé à la place.
    Le thème semble utiliser include ou require : popup.php
    Line 4: require_once( 'shortcodes.class.php' );
    Si ces fonctions sont utilisées pour inclure des sections séparées d'un modèle à partir de fichiers indépendants, alors get_template_part () doit être utilisé à la place.
    Le thème semble utiliser include ou require : shortcodes.class.php
    Line 4: require_once('get_wp.php');
    Line 42: require_once( $this->conf );
    Si ces fonctions sont utilisées pour inclure des sections séparées d'un modèle à partir de fichiers indépendants, alors get_template_part () doit être utilisé à la place.
    Le thème semble utiliser include ou require : shortcodes.php
    Line 1212: if ( ! function_exists('is_plugin_active')){ include_once( ABSPATH . 'wp-admin/includes/plugin.php' ); } // load is_plug
    Si ces fonctions sont utilisées pour inclure des sections séparées d'un modèle à partir de fichiers indépendants, alors get_template_part () doit être utilisé à la place.
    Le thème semble utiliser include ou require : meta-boxes.php
    Line 10: if ( ! function_exists('is_plugin_active')){ include_once( ABSPATH . 'wp-admin/includes/plugin.php' ); } // load is_plug
    Si ces fonctions sont utilisées pour inclure des sections séparées d'un modèle à partir de fichiers indépendants, alors get_template_part () doit être utilisé à la place.
    Le thème semble utiliser include ou require : vctweaks_alternative.php
    Line 1684: if ( ! function_exists('is_plugin_active')){ include_once( ABSPATH . 'wp-admin/includes/plugin.php' ); } // load is_plug
    Si ces fonctions sont utilisées pour inclure des sections séparées d'un modèle à partir de fichiers indépendants, alors get_template_part () doit être utilisé à la place.
    Le thème semble utiliser include ou require : vctweaks.php
    Line 1612: if ( ! function_exists('is_plugin_active')){ include_once( ABSPATH . 'wp-admin/includes/plugin.php' ); } // load is_plug
    Si ces fonctions sont utilisées pour inclure des sections séparées d'un modèle à partir de fichiers indépendants, alors get_template_part () doit être utilisé à la place.
Autre thèmes vérifiés